= render layout: 'layouts/auth_app/center' do
  = render 'auth_app/reset_with_code/tabs'
  = form_tag(reset_with_email_update_password_path, method: 'put', autocomplete: 'off') do
    = hidden_field_tag 'recovery_service', 'recovery_token'
    = hidden_field_tag 'recovery_user', @user&.recovery_email_sgid
    .mb-3
      = label_tag 'token', t(:token), class: 'form-label'
      - if @token_valid
        = hidden_field_tag 'recovery_secret', params[:recovery_secret]
        = text_field_tag '', params[:recovery_secret], class: 'form-control is-valid', disabled: true
      - else
        = text_field_tag 'recovery_secret', params[:recovery_secret],
          class: 'form-control ' + is_invalid(@errors, :recovery_secret), autocomplete: 'off'
        - if params[:recovery_secret].blank?
          .help-text= t(:check_email_for_token)
        - else
          = feedback(@errors, :recovery_secret)
    - if @show_password_tips
      .small.alert.alert-secondary= render 'auth_app/passwords/password_tips'
    = render 'auth_app/passwords/password_field', errors: @errors, field: :new_password, autocomplete: false
    = render 'auth_app/passwords/password_field', errors: @errors, field: :password_confirmation, autocomplete: false
    .btn-toolbar
      = link_to app_root_url, class: 'btn btn-outline-secondary' do
        - icon(:cancel, t(:cancel))
      = button_tag class: 'btn btn-success', type: 'submit' do
        - icon(:ok, t(:change_password))
